/* Reset CSS */
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}


/* Body and Container */
html body {
    font-family: "Open Sans", sans-serif;
    line-height: 1.6;
    background-color: #f4f4f4;
    color: #333;
    min-height: 100vh;
    overflow: hidden; /* Prevent scrolling of the whole page */

    
}

#title-button{
    color: white;
}
.container {
    width: 90%;
    margin: auto;
}


/* Header */
header {
    color: #ffffff;
    padding-top: 2%;
    min-height: 70px;
    position: fixed;
    width: 100%;
    top: 0;
    z-index: 1000;
}

header a {
    text-decoration: none;
    font-size: 30px;
}

header ul {
    padding: 0;
    list-style: none;
}

header li {
    display: inline;
    padding: 0 20px;
}

header h1 {
    float: left;
    margin-top: 0;
    font-size: 50px;
}

@media (max-width: 900px) {
    header h1 {
        font-size: 30px;
    }
}

@media (max-height: 900px) {
    header h1 {
        font-size: 30px;
    }
}

@media (max-width: 600px) {
    header h1 {
        font-size: 25px;
    }
}

@media (max-width: 400px) {
    header h1 {
        font-size: 20px;
    }
}

header nav {
    float: right;
    margin-top: 10px;
}




@media (max-width: 1380px) {
    #menu_buttons
    {
      display: none;

    }
}

/* Modern Button */
.btn {
    display: inline-block;
    padding: 10px 20px;
    font-size: 20px;
    font-weight: bold;
    color: #ffffff;
    background-color: rgba(0, 0, 0, 0.2);
    border: 1px solid #ffffff;
    border-radius: 5px;
    transition: background-color 0.3s ease, color 0.3s ease;
}

.btn:hover {
    color: #a0a0a0;
    border: 1px solid #a0a0a0;

}

/* Hero Section */
.hero-section {
    background: url('images/background_removed.jpg') no-repeat center center/cover;
    background-attachment: fixed; /* This makes the background image fixed */
    color: #ffffff;
    display: flex;
    justify-content: baseline;
    align-items: center;
    text-align: center;
    position: relative;
    height: 100.1dvh;
    flex-direction: column;
    padding-top: 100px; /* Adjust for the fixed header */


}
.scrollable-content {
    position: absolute;
    top: 0px; /* Adjust for the fixed header */
    bottom: 0;
    left: 0;
    right: 0;
    overflow-y: auto; /* Enable vertical scrolling */
    padding: 20px;
}

.hero-section .overlay {
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    
}

.hero-content {
    position: relative;
    z-index: 1;
}

.hero-section h2 {
    font-size: 50px;
}

.hero-section p {
    font-size: 20px;
}


/* Hero Info Section */
.hero-info {
    position: absolute;
    bottom: 5%;
    left: 5%;
    background: rgba(0, 0, 0, 0.4);
    padding: 20px;
    border-radius: 10px;
    width: 42.5%;
    overflow-y: auto; /* Enable vertical scrolling */

}

@media (max-width: 1400px) {
    .hero-info {
        position: relative;
        margin: auto;
        left: 0px;
        right: 0px;
        width: 60vw;
        margin-bottom: 25vh;
    }
}

@media (max-width: 1400px) {
    #about-info {
        top: 15%;
        bottom: auto;
    }
}

@media (max-width: 1400px) {
    .hero-info {
        width: 70vw;
    }

}

@media (max-width: 1380px) {
    .hero-info {
        width: 85vw;
    }
}
.hero-info h3 {
    margin-bottom: 10px;
    font-size: 35px;
    font-weight: bold;
}

@media (max-width: 1000px) {
    .hero-info h3 {
        font-size: 25px;
    }
}

@media (max-height: 900px) {
    .hero-info h3 {
        font-size: 25px;
    }
}

.hero-info h2 {
    margin-bottom: 10px;
    font-size: 35px;
    font-weight: bold;
    color: #8ed973;
}

@media (max-width: 900px) {
    .hero-info h2 {
        font-size: 25px;
    }
}

@media (max-height: 900px) {
    .hero-info h2 {
        font-size: 25px;
    }
}

.hero-info p {
    margin-bottom: 10px;
    font-size: 30px;
    line-height: 1.4;
}

@media (max-width: 900px) {
    .hero-info p {
        font-size: 20px;
    }
}

@media (max-height: 900px) {
    .hero-info p {
        font-size: 20px;
    }
}



.hero-info2 {
    position: absolute;
    bottom: 3.4%;
    right: 5%;
    border-radius: 20px;
    width: 42.5%;
    height: auto; /* Set height to auto */
    display: flex;
    justify-content: center;
    align-items: flex-end; /* Align items to the bottom */
    overflow-y: auto; /* Enable vertical scrolling */


}

@media (max-width: 1400px) {
    .hero-info2 {
        position: relative;
        margin: auto;
        left: 0px;
        right: 0px;
        width: 63vw;
        top: auto;
    }
}

@media (max-width: 1400px) {
    .hero-info2 {
        width: 73vw;
    }

}

@media (max-width: 1380px) {
    .hero-info2 {
        width: 88vw;
    }
}

.hero-info2 img {
    position: relative;
    width: 100%;
    height: auto;
    border-radius: 20px; /* Ensure the image also has rounded corners */
}

#space{
    position: relative;
    height: 1vh;
}

@media (min-width: 1400px) {
    #space{
        display: none;
    }
}

/* Content Sections */
.content-section {
    padding: 50px 0;
    background: #ffffff;
    border-bottom: #e8491d 1px solid;
}

.content-section h2 {
    text-align: center;
    margin-bottom: 20px;
    font-size: 40px;
}

.content-section p {
    text-align: center;
    font-size: 18px;
    max-width: 700px;
    margin: 0 auto;
}

.map {
    text-align: center;
    margin: 20px 0;
}

.map iframe {
    width: 100%;
    height: 400px;
    border: none;
}

/*Hamburger Menu*/
.btn_h
{
  text-decoration: none;
  color: white;
  
  transition: color 0.3s ease;
}



#menuToggle
{
  display: block;
  position: absolute;
  right: 5%;
  top: 50%;
  z-index: 1;
  
  -webkit-user-select: none;
  user-select: none;
}

@media (min-width: 1380px) {
    #menuToggle
    {
    display: none;
    }
}

@media (max-width: 900px) {
    #menuToggle
    {
      top: 35%;
    }
}

@media (max-width: 600px) {
    #menuToggle
    {
      top: 25%;
    }
}

@media (max-width: 400px) {
    #menuToggle
    {
      top: 17%;
    }
}

#menuToggle input
{
  display: block;
  width: 40px;
  height: 32px;
  position: absolute;
  top: -7px;
  left: -5px;
  
  cursor: pointer;
  
  opacity: 0; 
  z-index: 2; 
  
  -webkit-touch-callout: none;
}


#menuToggle span
{
  display: block;
  width: 33px;
  height: 4px;
  margin-bottom: 5px;
  position: relative;
  
  background: white;
  border-radius: 3px;
  
  z-index: 1;
  
  transform-origin: 4px 0px;
  
  transition: transform 0.5s cubic-bezier(0.77,0.2,0.05,1.0),
              background 0.5s cubic-bezier(0.77,0.2,0.05,1.0),
              opacity 0.5s ease;
}

#menuToggle span:first-child
{
  transform-origin: 0% 0%;
}

#menuToggle span:nth-last-child(2)
{
  transform-origin: 0% 100%;
}


#menuToggle input:checked ~ span
{
  opacity: 1;
  transform: rotate(45deg) translate(-2px, -1px);
  background: white;
}


#menuToggle input:checked ~ span:nth-last-child(3)
{
  opacity: 0;
  transform: rotate(0deg) scale(0.2, 0.2);
}


#menuToggle input:checked ~ span:nth-last-child(2)
{
  opacity: 1;
  transform: rotate(-45deg) translate(0, -1px);
}


#menu
{
  position: absolute;
  width: 200px;
  margin: -100px 0 0 0;
  padding: 50px;
  padding-top: 125px;
  right: -50px;
  
  background: transparent;
  list-style-type: none;
  -webkit-font-smoothing: antialiased;
  
  transform-origin: 0% 0%;
  transform: translate(100%, 0);
  
  transition: transform 0.5s cubic-bezier(0.77,0.2,0.05,1.0);
}

#menu li
{
  padding: 10px 0;
  font-size: 22px;
}


#menuToggle input:checked ~ ul
{
  transform: none;
  opacity: 1;
}

.btn_h {
    color: white;
    font-size: 22px;
}


